﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

/*
 *         Progetto: Progetto "Mappa Meteo"
 * 
 *           Autore: Roberto Fuligni
 *  Ultima modifica: 16/12/2016
 *  
 *      Descrizione: Routine di gestione della forma grafica del riquadro 
 *                   in cui è visualizzata, all'interno della mappa, la 
 *                   temperatura di una città.
 *                   
 */

namespace MappaMeteo
{
    /// <summary>
    /// Logica di interazione per Riquadro.xaml
    /// </summary>
    public partial class Riquadro : UserControl
    {
        public Riquadro(string valore, string fg, string bg)
        {
            InitializeComponent();
            Testo.Text = valore;
            Testo.Foreground = (SolidColorBrush)new BrushConverter().ConvertFromString(fg);
            Sfondo.Fill = (SolidColorBrush)new BrushConverter().ConvertFromString(bg);

        }
    }
}
